Skip to content
POST/{organizationId}/{mandateId}/crm/proofs/{proofId}/confirm

Confirms a proof for a contact

Confirm proof

Required permissions:

  • mandate.read

  • proof.edit

Permissions depending on contact type:

  • contact:member

  • contact:address

  • contact:customer

  • contact:sponsor

  • contact:contributor

  • contact:employee

  • contact:supplier

Path Parameters

organizationIdstringrequired
mandateIdstringrequired
proofIdstringrequired

Request Body required

Content-Type: application/json

issuedAtstring | nullrequired
issuingAuthoritystringrequired
reviewedAtstring | nullrequired
reviewedBystringrequired

maxLength: 80

notesstringrequired

maxLength: 4000

Default: []

validTostring | nullrequired
sendConfirmationMailbooleanoptional

Default: true

Authentication: X-API-Key

Request

POST/{organizationId}/{mandateId}/crm/proofs/{proofId}/confirm
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/crm/proofs/{proofId}/confirm' \
  --header 'X-API-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "issuedAt": "string",
  "issuingAuthority": "string",
  "reviewedAt": "string",
  "reviewedBy": "string",
  "notes": "string",
  "validTo": "string"
}'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

Valueany

Response

200
"string"

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}